Subject: Re: bug#12388: Emacs 24.2: Crash when maximizing frame on OS X 10.8

From: Arne Schmitz <[email-masked]>
Date: Mon, 10 Sep 2012 20:23:21 +0200

Am 10.09.2012 um 20:17 schrieb Jan Djärv <[email-masked]>:

> 8 sep 2012 kl. 13:04 skrev Arne Schmitz <[email-masked]>:
> 
>> when I recently upgraded to OS X 10.8, my Emacs started crashing when hitting the Zoom button (+) of the window / frame. This does not happen all the time, but very often. I use the builds from emacsformacosx.com. I have attached the OS X crash report for this situation.
>> 
>> The crash does not happen when I run emacs with empty init.el. My init.el loads quite a bit of stuff (cedet, ecb etc). But I cannot determine a single point where it starts to go bad. I guess there might be some feature in Emacs that triggers the crash that is used by one ore more of the packages I load. Maybe the attached backtrace helps.
> 
> It is definitly something in you startup file, as it crashes when running window-configuration-change hook.
> 
> Start emacs and check the value of that variable.  It should give some clue as to which package is the culprit.

Done. And by the way, I also tested with Emacs 24.2 from MacPorts. Has the same crash. Here is the value of the variable:

> window-configuration-change-hook is a variable defined in `C source code'.
> Its value is (linum-update-current t)
> Local in buffer JonesUtils.py; global value is nil

A quick test of doing "M-x linum-mode" after startup allowed me to zoom / maximize without crash. But I will have to do a bit more testing if linum-mode indeed triggers the behaviour.

Cheers,

Arne